package org.diagbot.graph.Diagnose;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * 处理诊断的入口类
 */
public class DiagnoseMain {
    public static void main(String[] args) throws Exception {
        List<String> quezhenDiagno = new ArrayList<>();
        Map<String, String> diagnose = new DiagnoseProcess().getDiagnose("近端指间关节炎","足关节炎","对称性关节肿胀","晨僵≥30分钟","类风湿因子阳性","抗CCP抗体阳性","侵袭性骨破坏");
        for (Map.Entry<String,String> disease:diagnose.entrySet()
             ) {
            if("确诊".equals(disease.getValue())){
                quezhenDiagno.add(disease.getKey());
            }
        }
        System.out.println(quezhenDiagno);
    }
}
